
Infrastructure - Task #3949

Story # 3677 (Closed): automate the build and publication of documentation for APIs and software

create javadoc location for published docs on releases site

2013-08-26 20:03 - Matthew Jones

Status: Closed Start date: 2013-08-26

Priority: Normal Due date:  

Assignee: Matthew Jones % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone: CCI-0.6.1 Story Points:  

Product Version: *   

Description

Javadoc for libclient libraries should be online browseable for each release, at a URL following this format:

http://releases.dataone.org/online/d1_libclient_java/1.2.5/docs/apidocs/

History

#1 - 2013-08-26 20:04 - Matthew Jones

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

Libclient docs were copied to releases.dataone.org at the designated location for versions 1.2.3, 1.2.4, and 1.2.5.  Future release versions will need to

be placed there as well, but this ticket can be closed as the procedure is now established.

http://releases.dataone.org/online/d1_libclient_java/1.2.3/docs/apidocs/

http://releases.dataone.org/online/d1_libclient_java/1.2.4/docs/apidocs/

http://releases.dataone.org/online/d1_libclient_java/1.2.5/docs/apidocs/

#2 - 2014-01-06 17:53 - Dave Vieglais

- Target version changed from 2013.33-Block.4.4 to 2014.2-Block.1.1

#3 - 2014-03-14 17:36 - Chris Jones

- Target version changed from 2014.2-Block.1.1 to 2014.14-Block.2.3

#4 - 2014-09-24 18:28 - Dave Vieglais

- Target version changed from 2014.14-Block.2.3 to Maintenance Backlog
